<?xml version="1.0" encoding="UTF-8"?>
<!-- UWAGA: To jest robocza wersja dokumentu -->
<xsl:stylesheet version="2.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fn="http://www.w3.org/2005/xpath-functions"
	xmlns:myfn="http://mojefun.pl/xslt" xmlns:gp="http://www.crd.gov.pl/xml/schematy/edap/2010/01/02">

	<!--<xsl:output method="html" encoding="UTF-8" doctype-public="-//W3C//DTD 
		HTML 4.01//EN" /> <xsl:output method="xhtml" encoding="UTF-8" doctype-public="-//W3C//DTD 
		XHTML 1.0 Strict//EN" doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"/> -->

	<!-- zmienne i parametry wartosci do testow -->

	<xsl:variable name="numer_pozycja">
		<!--<xsl:value-of select="$NUM_POS$"/> -->
		<xsl:value-of select="0" />
	</xsl:variable>

	<xsl:variable name="czy_numer_bold">
		<!--<xsl:value-of select="$NUM_BOLD$"/> -->
		<xsl:value-of select="true()" />
	</xsl:variable>

	<xsl:variable name="nag_duze_litery">
		<!--<xsl:value-of select="$NAG_BIG$"/> -->
		<xsl:value-of select="true()" />
	</xsl:variable>

	<xsl:variable name="puste_miejsca">
		<!--<xsl:value-of select="$NO_SPACE$"/> -->
		<xsl:value-of select="0" />
	</xsl:variable>

	<xsl:variable name="czy_projekt">
		<!--<xsl:value-of select="$IS_PROJECT$"/> -->
		<xsl:value-of select="true()" />
	</xsl:variable>
	<xsl:variable name="info_projekt">
		<!--<xsl:value-of select="$INFO_PROJECT$"/> -->
		<xsl:value-of
			select="'Z dnia 12 wrzesnia 2011|Zatwierdzony przez ...........'" />
	</xsl:variable>


	<xsl:variable name="czy_zalacznik_bin">
		<!-- <xsl:value-of select="$BINARY_ZAL$"/> -->
		<xsl:value-of select="true()" />
	</xsl:variable>
	<xsl:variable name="pierwszy_zalacznik_bin">
		<!-- <xsl:value-of select="$BINARY_ZALPIERS$"> -->
		<xsl:value-of select="false()" />
	</xsl:variable>


	<xsl:variable name="nazwisko_bold">
		<!--<xsl:value-of select="$NAME_BOLD$"/> -->
		<xsl:value-of select="true()" />
	</xsl:variable>

	<xsl:variable name="podpis_dlg">
		<!--<xsl:value-of select="$PODPIS_DLG$"/> -->
		<xsl:value-of select="40" />
	</xsl:variable>


	<xsl:variable name="info_zalacznika">
		<xsl:for-each select="/">
			<xsl:for-each select="*">
				<xsl:for-each select="gp:metryka">

					<xsl:if test="name(parent::node()) = 'uchwala'">
						<xsl:value-of select="'Uchwały'" />
					</xsl:if>

					<xsl:if test="@numer != ''">
						<xsl:value-of select="' Nr '" />
						<xsl:value-of select="@numer" />
					</xsl:if>

					<xsl:if test="@organ-wydajacy != '' ">
						<br />
						<xsl:value-of select="@organ-wydajacy" />
					</xsl:if>

					<xsl:if test="@data != '1-01-01T00:00:00Z'">
						<br />
						<xsl:text>z dnia&#160;</xsl:text>

						<xsl:choose>
							<xsl:when test="@status-aktu = 'projekt'">
								<xsl:text>....................&#160;</xsl:text>
								<xsl:call-template name="podaj_rok">
									<xsl:with-param name="format_daty" select="@data" />
								</xsl:call-template>
							</xsl:when>
							<xsl:otherwise>
								<xsl:call-template name="daj_date">
									<xsl:with-param name="format_daty" select="@data" />
								</xsl:call-template>
							</xsl:otherwise>
						</xsl:choose>
					</xsl:if>

				</xsl:for-each>
			</xsl:for-each>
		</xsl:for-each>
	</xsl:variable>



	<!-- glowny template -->



	<xsl:template match="/">
		<html>
			<head>
			<style type="text/css" id="newStyles">
				a {
					text-decoration: none;
					color:
					blue;
					}
					a:hover {
					text-decoration: underline;
					color: blue;
					}

					a:visited {
					text-decoration: none;
					color: blue;
					}

					div {
					line-height: 140%;
					}



					.Contener {
					margin: auto;
					max-width: 518pt;
					min-width: 518pt;
					width:
					518pt;
					
					background-color: #FFFFFF;
					}

					.MainFrame {

					}
					
					.podstawa-prawna {
					text-indent: 3%;
					margin-bottom: 20px;
					margin-top:
					20px;
					}

					.tyt {
					margin-top: 25px;
					margin-bottom: 10px;
					}

					.dzial {
					margin-top: 25px;
					margin-bottom: 10px;
					font-weight: normal;
					}
					
					
					.rozdzial {
					margin-top: 25px;
					margin-bottom:
					10px;
					font-weight: normal;
					}

					.paragraf {
					font-weight: normal;
					margin-bottom: 20px;
					}

					.ustep {
					margin-bottom: 10px;
					margin-top: 10px;
					}

					.punkt {
					margin-bottom: 0px;
					font-weight: normal;
					
					}

					.litera {
					margin-bottom: 0px;
					font-weight: normal;	
					}
					.tiret {
					margin-bottom: 0px;
					font-weight: normal;

					}

					.akapit {
					margin-bottom: 10px;
					margin-top: 10px;
					text-indent:
					3%;
					font-weight: normal;
					}

					.zalacznik_bin {
					width: 100%;
					margin-bottom: 20px;
					margin-top: 30px;

					}
					.zal1{
					page-break-before: always;
					}
					.zalacznik {
					width: 100%;
					margin-bottom:
					30px;
					margin-top: 30px;

					}

					.podpis {
					margin-bottom: 0px;
					font-weight:
					normal;
					}
					
					.tabela {
						width:99%;
						border-collapse: collapse;
						font-family: Arial, Tahoma, Verdana;
					}
					
					.komorka {
						padding: 2px;
						border: 1px solid black;
						
					}
					.tabela_cont{
						margin-top: 0;
					}
					
					.tytul {
					font-size: 12pt;
					text-align: center;
					font-weight: bold;
					line-height: 140%;
					}

					.tytul_zal
					{
					text-align: center;
					font-weight: bold;
					margin-bottom: 15px;
					text-transform: uppercase;
					}

					.tytul_met {
					font-weight: bold;
					text-align: center;
					}

					.tytul_sel_dzial {
					text-align: center;
					font-weight: bold;
					text-transform: uppercase;
					margin-bottom: 20px;
					}
					.tytul_sel_inny {
					text-align: center;
					font-weight: bold;
					margin-bottom: 20px;
					}

					.naglowek_m {
					font-weight: bold;
					text-align:
					center;
					line-height: 15px;
					}

					.projekt_napis {
					font-weight: normal;
					text-decoration: underline;
					font-style: italic;
					width: 100%;
					text-align: right;
					}

					.projekt_info {
					font-weight: normal;
					text-decoration: none;
					font-style: normal;
					width: 100%;
					text-align:
					right;
					font-size: 10pt;
					}
					.normal {
					font-weight: normal;
					}

					.rozdzial_2 {
					text-align: center;
					font-weight: bold;
					margin-bottom: 5px;
					}

					.parag_1 {
					text-align: center;
					width: 528pt;
					line-height: 15px;
					}

					.parag_2 {
					text-align: center;
					font-weight: bold;
					margin-bottom: 5px;
					display:
					inline;
					}

					.pt_numer_td {
					vertical-align: top;
					text-align: right;
					width:
					25px;
					}

					.pt_numer_td2 {
					vertical-align: top;
					page-break-before: avoid;
					}
					
					.akap_td1 {
					vertical-align: top;
					width: 50%;
					}

					.tabela_akap {
					width: 100%;

					margin-top: 30px;
					}

					.zalacznik_2 {
					width:
					100%;
					margin-bottom: 20px;
					}

					.zalacznik_3 {
					text-align: right;
					width:
					100%;

					margin-bottom: 25px;
					}

					.link {
					width: 100%;
					text-align: center;
					}
				</style>

			
			</head>
			<body style="font: 12pt 'Times New Roman'">

				<div class="Contener">
					<div class="MainFrame">

						<!--Czy wypisać że projekt -->
					<!-- 	<xsl:if test="$czy_projekt = true()">
							<xsl:for-each select="./*">
								<xsl:for-each select="gp:metryka">
									<xsl:if test="@status-aktu = 'projekt'">
										<div class="projekt_napis">
											<xsl:text>Projekt</xsl:text>
										</div>
										<br />
										<xsl:if test="$info_projekt != ''">
											<div class="projekt_info">
												<xsl:call-template name="zamien_string">
													<xsl:with-param name="text_src" select="$info_projekt" />
												</xsl:call-template>
											</div>
										</xsl:if>
										<br />
										<br />
										<br />
									</xsl:if>
								</xsl:for-each>
							</xsl:for-each>
						</xsl:if>
-->

						<!-- elementy dokumentu uchwaly -->
						<xsl:apply-templates />


					</div>
				</div>
			</body>
		</html>

	</xsl:template>


	<!-- metryka -->
	<xsl:template match="gp:metryka">
		<xsl:if test="(@widoczny = '') or (@widoczny = 'tak') or (not(@widoczny))">
			<xsl:if test="$numer_pozycja = 1 and @numer != '' ">
				<div>
					<xsl:attribute name="style">
						<xsl:choose>
							<xsl:when test="$czy_numer_bold = true()">
								<xsl:text>font-weight: bold;</xsl:text>
							</xsl:when>
							<xsl:otherwise>
								<xsl:text>font-weight: normal;</xsl:text>
							</xsl:otherwise>
						</xsl:choose>
					</xsl:attribute>

					<xsl:value-of select="@numer" />
				</div>
				<br />
				<br />
			</xsl:if>
			<!-- Nagłówek uchwały -->
			<div class="naglowek_m">
				<span>
					<xsl:if test="$nag_duze_litery = true()">
						<xsl:attribute name="style">
							<xsl:text>text-transform: uppercase;</xsl:text>
						</xsl:attribute>
					</xsl:if>

					<xsl:choose>
						<xsl:when test="name(parent::node()) = 'uchwala'">
							<xsl:value-of select="'Uchwała'" />
						</xsl:when>
					</xsl:choose>

					<xsl:if test="@numer != ''">
						<xsl:if test="$numer_pozycja = 0">
							<span>
								<xsl:attribute name="style">
									<xsl:choose>
										<xsl:when test="$czy_numer_bold = true()">
											<xsl:text>font-weight: bold;</xsl:text>
										</xsl:when>
										<xsl:otherwise>
											<xsl:text>font-weight: normal;</xsl:text>
										</xsl:otherwise>
									</xsl:choose>
								</xsl:attribute>
								<xsl:value-of select="' Nr '" />

								<xsl:choose>
									<xsl:when test="@status-aktu = 'projekt' or @numer = ''">
										<xsl:choose>
											<xsl:when test="$puste_miejsca = 0">
												<xsl:text>....................</xsl:text>
											</xsl:when>
											<xsl:when test="$puste_miejsca = 1">
												<!-- <xsl:text>                    </xsl:text> -->
												<xsl:text>&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;</xsl:text>
											</xsl:when>
										</xsl:choose>
									</xsl:when>
									<xsl:otherwise>
										<xsl:value-of select="@numer" />

									</xsl:otherwise>
								</xsl:choose>
							</span>
						</xsl:if>
					</xsl:if>

				</span>
				<br />
				<!--Organ wydajacy jest wyswietlany -->
				<xsl:if test="@organ-wydajacy != '' ">
					<span>
						<xsl:if test="$nag_duze_litery = true()">
							<xsl:attribute name="style">
								<xsl:text>text-transform: uppercase;</xsl:text>
							</xsl:attribute>
						</xsl:if>
						<xsl:value-of select="@organ-wydajacy" />
					</span>
					<br />
					<br />
				</xsl:if>
				<xsl:if test="@data != '1-01-01T00:00:00Z' ">
					<span class="normal">
						<xsl:text>z dnia&#160;</xsl:text>

						<xsl:choose>
							<xsl:when
								test="@status-aktu = 'projekt'  or @data = '1-01-01T00:00:00Z'">
								<xsl:choose>
									<xsl:when test="$puste_miejsca = 0">
										<xsl:text>....................&#160;</xsl:text>
									</xsl:when>
									<xsl:when test="$puste_miejsca = 1">
										<xsl:text>&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;</xsl:text>
									</xsl:when>
								</xsl:choose>
								<xsl:call-template name="podaj_rok">
									<xsl:with-param name="format_daty" select="@data" />
								</xsl:call-template>
							</xsl:when>
							<xsl:otherwise>
								<xsl:call-template name="daj_date">
									<xsl:with-param name="format_daty" select="@data" />
								</xsl:call-template>
							</xsl:otherwise>
						</xsl:choose>
					</span>
					<br />
				</xsl:if>
				<xsl:choose>
					<xsl:when test="$numer_pozycja = 2">
						<div>
							<xsl:attribute name="style">
								<xsl:choose>
									<xsl:when test="$czy_numer_bold = true()">
										<xsl:text>font-weight: bold;</xsl:text>
									</xsl:when>
									<xsl:otherwise>
										<xsl:text>font-weight: normal;</xsl:text>
									</xsl:otherwise>
								</xsl:choose>
							</xsl:attribute>
							<xsl:value-of select="'Nr '" />
							<xsl:value-of select="@numer" />
						</div>
					</xsl:when>
					<xsl:otherwise>
						<br />
					</xsl:otherwise>
				</xsl:choose>
				<xsl:for-each select="gp:tytul">
					<xsl:if test=". != ''">
						<div class="tytul_met">
							<xsl:apply-templates />
						</div>
					</xsl:if>
				</xsl:for-each>
			</div>
			<br />
		</xsl:if>
	</xsl:template>

	<!--podstawa-prawna -->
	<xsl:template match="gp:podstawa-prawna">
		<div class="podstawa-prawna">
			<xsl:attribute name="id">
				<xsl:value-of select="@id" />
			</xsl:attribute>
			<xsl:apply-templates select="child::node()"/>
		</div>
	</xsl:template>

	<!--dzial -->
	<xsl:template match="gp:dzial">
		<div class="dzial">
			<xsl:attribute name="id">
				<xsl:value-of select="@id" />
			</xsl:attribute>
			<div class="tytul_zal">
				<xsl:value-of select="'Dział'" />
				<xsl:value-of select="' '" />
				
						<xsl:value-of select="@nr" />

				<!-- <xsl:number value="@nr" format="I"/> -->
				<xsl:text>.&#160;</xsl:text>
				<br />


			</div>
			<xsl:apply-templates />
		</div>
	</xsl:template>

	<!-- tytul -->
	<xsl:template match="gp:tytul">
		<xsl:choose>
			<xsl:when test="name(parent::node()) = 'dzial'">
				<div class="tytul_zal">
					<xsl:apply-templates />
				</div>
			</xsl:when>
			<xsl:otherwise>
				<div class="tytul_sel_inny">
					<xsl:apply-templates />
				</div>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>

	<!--rozdzial -->
	<xsl:template match="gp:rozdzial">
		<div class="rozdzial">
			<xsl:attribute name="id">
				<xsl:value-of select="@id" />
			</xsl:attribute>
			<div class="rozdzial_2">
				<xsl:value-of select="'Rozdział'" />
				<xsl:value-of select="' '" />
				<xsl:value-of select="@nr" />
			</div>
			<xsl:apply-templates />
		</div>
	</xsl:template>

	<!-- paragraf -->
	<xsl:template match="gp:paragraf">
		<div class="paragraf">
			<xsl:attribute name="id">
				<xsl:value-of select="@id" />
			</xsl:attribute>

			<div class="parag_1">
				<span class="parag_2">
					<xsl:text>&#167;</xsl:text>
					<xsl:text>&#160;</xsl:text>
					<xsl:value-of select="@nr" />
					<xsl:text>.&#160;</xsl:text>
					<br />
				</span>
			</div>
			<xsl:apply-templates />

		</div>

	</xsl:template>

	<!--ustep -->
	<xsl:template match="gp:ustep">
		<xsl:choose>
			<xsl:when test="@nr != ''">
				<div class="ustep">
					<xsl:attribute name="id">
						<xsl:value-of select="@id" />
					</xsl:attribute>

					<xsl:value-of select="@nr" />
					<xsl:text>.&#160;</xsl:text>
					<xsl:apply-templates />

				</div>
			</xsl:when>
			<xsl:otherwise>
				<div class="ustep">
					<xsl:attribute name="id">
						<xsl:value-of select="@id" />
					</xsl:attribute>

					<xsl:value-of select="''" />
					<!-- <xsl:text>&#160;</xsl:text> -->

					<xsl:apply-templates />


				</div>
			</xsl:otherwise>
		</xsl:choose>

	</xsl:template>
	<!--tresc-przypisow -->
	<xsl:template match="gp:tresc-przypisow">

		<div class="przypisy">
			<xsl:apply-templates />
		</div>
	</xsl:template>
	<!--tresc-przypisu -->
	<xsl:template match="gp:tresc-przypisu">
		<xsl:variable name="przypisId">
			<xsl:number />
		</xsl:variable>

		<div class="przypis">
			<xsl:apply-templates />
		</div>

	</xsl:template>
	<!-- punkt -->
	<xsl:template match="gp:punkt">

		<div class="punkt">
			<xsl:attribute name="id">
				<xsl:value-of select="@id" />
			</xsl:attribute>

			<table cellpadding="0" cellspacing="5" border="0" style="width:100%;">
				<tr>
					<td class="pt_numer_td">
						<xsl:value-of select="@nr" />
						<xsl:value-of select="') '" />
					</td>
					<td class="pt_numer_td2">
						<xsl:apply-templates />
					</td>
				</tr>
			</table>


		</div>

	</xsl:template>

	<!-- litera -->
	<xsl:template match="gp:litera">
		<div class="litera">
			<xsl:attribute name="id">
				<xsl:value-of select="@id" />
			</xsl:attribute>


			<table cellpadding="0" cellspacing="5" border="0" style="width:100%;">
				<tr>
					<td class="pt_numer_td2">
						<xsl:value-of select="@nr" />
						<xsl:value-of select="') '" />
					</td>
					<td class="pt_numer_td2">
						<xsl:apply-templates />
					</td>
				</tr>
			</table>

		</div>

	</xsl:template>

	<!-- tiret -->
	<xsl:template match="gp:tiret">
		<div class="tiret">
			<xsl:attribute name="id">
				<xsl:value-of select="@id" />
			</xsl:attribute>


			<table cellpadding="0" cellspacing="5" border="0" style="width:100%;">
				<tr>
					<td class="pt_numer_td2">
						<xsl:value-of select="'-'" />
						<xsl:value-of select="' '" />
					</td>
					<td class="pt_numer_td2">
						<xsl:apply-templates />
					</td>
				</tr>
			</table>


		</div>
	</xsl:template>

	<!--akapit -->
	<xsl:template match="gp:akapit">
		<div class="akapit" style="width:100%;">
			<xsl:attribute name="id">
				<xsl:value-of select="@id" />
			</xsl:attribute>


			<xsl:text>&#160;&#160;</xsl:text>

			<xsl:apply-templates />

		</div>

	</xsl:template>

	<!--podpisy -->
	<xsl:template match="gp:podpisy">
		<xsl:variable name="signature-left" select="'do-lewej'" />
		<xsl:variable name="signature-right" select="'do-prawej'" />

		<table border="0" cellpadding="0" cellspacing="0" class="tabela_akap">
			<xsl:attribute name="id">
				<xsl:value-of select="@id" />
			</xsl:attribute>

			<xsl:choose>
				<xsl:when test="(name(child::node()[2]) = 'podpis')">
					<tr>
						<td class="akap_td1">&#160;</td>

					</tr>
					<tr>
						<td class="akap_td1">
							<xsl:apply-templates select="gp:podpis[@wyrownanie = $signature-left]" />
						</td>

						<td class="akap_td1">
							<xsl:apply-templates
								select="gp:podpis[(@wyrownanie = $signature-right) or (not(@wyrownanie))]" />
						</td>
					</tr>
					<tr>
						<td class="akap_td1">&#160;</td>

					</tr>
				</xsl:when>
				<xsl:otherwise>
					<tr>
						<td class="akap_td1">&#160;</td>

					</tr>
					<tr>
						<td class="akap_td1">
							<xsl:apply-templates select="gp:podpis[@wyrownanie = $signature-left]" />
						</td>

						<td class="akap_td1">
							<xsl:apply-templates
								select="gp:podpis[(@wyrownanie = $signature-right) or (not(@wyrownanie))]" />
						</td>
					</tr>
				</xsl:otherwise>
			</xsl:choose>

		</table>
	</xsl:template>

	<!--podpis -->
	<xsl:template match="gp:podpis">

		<xsl:variable name="podpis_szer" select="$podpis_dlg * 2" />
		<div>
			<xsl:attribute name="id">
				<xsl:value-of select="@id" />
			</xsl:attribute>

			<xsl:attribute name="style">
				<xsl:text>text-align: center; width: </xsl:text>
				<xsl:value-of select="$podpis_szer" />
				<xsl:text>%; float: right; border-top: dotted 2px black;</xsl:text>
			</xsl:attribute>

			<xsl:if test="@z-upowaznienia != ''">

				<xsl:choose>
					<xsl:when test="@rodzaj-upowaznienia != ''">
						<xsl:choose>
							<xsl:when test="@rodzaj-upowaznienia = 'zastepstwo'">
								<xsl:text>w&#160;z.&#160;</xsl:text>
							</xsl:when>
							<xsl:otherwise>
								<xsl:text>z&#160;up.&#160;</xsl:text>
							</xsl:otherwise>
						</xsl:choose>
					</xsl:when>
					<xsl:otherwise>
						<xsl:text>z&#160;up.&#160;</xsl:text>
					</xsl:otherwise>
				</xsl:choose>

				<xsl:value-of select="' '" />
				<xsl:value-of select="@z-upowaznienia" />
				<br />

			</xsl:if>
			<xsl:if test="@funkcja != ''">
				<xsl:value-of select="@funkcja" />
				<br />
				<br />
			</xsl:if>

			<xsl:choose>
				<xsl:when test="$nazwisko_bold = true()">
					<strong>
						<xsl:if test="@tytul != ''">
							<xsl:value-of select="@tytul" />
							<xsl:value-of select="' '" />
						</xsl:if>

						<xsl:value-of select="@imie" />
						<xsl:value-of select="' '" />
						<xsl:value-of select="@nazwisko" />

					</strong>
					<br />
					<br />
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="@tytul != ''">
						<xsl:value-of select="@tytul" />
						<xsl:value-of select="' '" />
					</xsl:if>

					<xsl:value-of select="@imie" />
					<xsl:value-of select="' '" />
					<xsl:value-of select="@nazwisko" />
					<br />
					<br />
				</xsl:otherwise>
			</xsl:choose>


		</div>
	</xsl:template>


	<!--zalacznik_bin -->
	<xsl:template match="gp:zalacznik_bin">
		<xsl:variable name="first"
			select="$pierwszy_zalacznik_bin = true() and position() = 1" />

		<xsl:variable name="liczba_zalacznikow" select="count(../zalacznik_bin)" />
		<div class="zal2">
			<xsl:text>&#160;&#160;</xsl:text>
			
		</div>
		<div class="zalacznik_bin">
			<xsl:attribute name="id">
				<xsl:value-of select="@id" />
			</xsl:attribute>

			<!--Czy załacznik binarny ma być na nowej stronie -->
			<!-- <xsl:if test="$pierwszy_zalacznik_bin= true() or ($first = true())"> 
				<xsl:attribute name="style"> <xsl:text>page-break-before: always;</xsl:text> 
				</xsl:attribute> </xsl:if> -->

			<div class="zalacznik_3">
				<xsl:choose>
					<xsl:when test="$liczba_zalacznikow >= 1">
						<!--<strong> -->
						<xsl:value-of select="'Załącznik nr'" />
						<xsl:value-of select="' '" />
						<xsl:value-of select="@nr" />
						<!--</strong> -->
						<br />
					</xsl:when>
					<xsl:otherwise>
						<xsl:value-of select="'Załącznik'" />
					</xsl:otherwise>
				</xsl:choose>

				<xsl:value-of select="' do '" />
				<xsl:copy-of select="$info_zalacznika" />
				<br />
				<a target="_blank">
					<xsl:attribute name="href">
							<xsl:value-of select="@nazwa" />
						</xsl:attribute>
					<xsl:value-of select="@nazwa" />
				</a>
			</div>

		</div>
		<div class="link">
			<br />
			<xsl:if test="gp:tytul != ''">
				<br />
				<i>
					<strong>

						<xsl:apply-templates select="gp:tytul" />

					</strong>
				</i>
			</xsl:if>
		</div>

	</xsl:template>

	<!--zalaczniki -->
	<xsl:template match="gp:zalaczniki">
		<xsl:for-each select="*">
			<xsl:call-template name="zalacznik" />
		</xsl:for-each>

	</xsl:template>

	<!--zalacznik -->
	<xsl:template name="zalacznik">

		<xsl:variable name="liczba_zalacznikow" select="count(../zalacznik)" />
		<div class="zal1">
			<xsl:text>&#160;&#160;</xsl:text>
		</div>
		<div class="zalacznik">
			<xsl:attribute name="id">
				<xsl:value-of select="@id" />
			</xsl:attribute>

			<div class="zalacznik_3">
				<xsl:choose>
					<xsl:when test="$liczba_zalacznikow >= 1">
						<!--<strong> -->
						<xsl:value-of select="'Załącznik nr'" />
						<xsl:value-of select="' '" />
						<xsl:value-of select="@nr" />
						<!--</strong> -->
						<br />
					</xsl:when>
					<xsl:otherwise>
						<xsl:value-of select="'Załącznik'" />
					</xsl:otherwise>
				</xsl:choose>

				<xsl:value-of select="' do '" />
				<xsl:copy-of select="$info_zalacznika" />
		</div>
		</div>
		<xsl:apply-templates />
	</xsl:template>

	<!--Itemy -->
	<!--Wytłuszczenie -->
	<xsl:template match="gp:wytluszczenie">
		<strong>
			<xsl:apply-templates />
		</strong>
	</xsl:template>
	<!--Podkreslenie -->
	<xsl:template match="gp:podkreslenie">
		<u>
			<xsl:apply-templates />
		</u>
	</xsl:template>
	<!--Kursywa -->
	<xsl:template match="gp:kursywa">
		<i>
			<xsl:apply-templates />
		</i>
	</xsl:template>
	<!--Nowa linia -->
	<xsl:template match="gp:nl">
		<br />
	</xsl:template>
	
	<!-- tabela -->
	<xsl:template match="gp:tabela">
		<table class="tabela">
			<caption class="naglowek">
				 <xsl:for-each select="child::node()">
						<xsl:if test="((concat(name(),'---') = '---') or (concat(name(),'') = 'kursywa') or (concat(name(),'') = 'podkreslenie') or (concat(name(),'') = 'wytluszczenie'))">
							<xsl:apply-templates select="."/>
						</xsl:if>
				</xsl:for-each>
			</caption>
			<xsl:for-each select="child::*">
					<xsl:if test="( (concat(name(),'') != 'kursywa') and (concat(name(),'') != 'podkreslenie') and (concat(name(),'') != 'wytluszczenie'))">
						<xsl:apply-templates select="."/>
					</xsl:if>
			</xsl:for-each>
		</table>
	</xsl:template>

	<xsl:template match="gp:wiersz">
		<tr class="wiersz">
			<xsl:apply-templates />
		</tr>
	</xsl:template>

	<xsl:template match="gp:komorka">
		<xsl:variable name="wyrownanieWPionie">
			<xsl:choose>
				<xsl:when test="@wyrownanie-w-pionie = 'do-gory'">
					<xsl:value-of select="'top'" />
				</xsl:when>
				<xsl:when test="@wyrownanie-w-pionie = 'do-dolu'">
						<xsl:value-of select="'bottom'" />
				</xsl:when>
				<xsl:otherwise>
					<xsl:value-of select="'middle'" />
				</xsl:otherwise>
			</xsl:choose>
		</xsl:variable>	
		<xsl:variable name="wyrownanieWPoziomie">
			<xsl:choose>
				<xsl:when test="@wyrownanie = 'wysrodkowane'">
					<xsl:value-of select="'center'" />
				</xsl:when>
				<xsl:when test="@wyrownanie = 'do-prawej'">
						<xsl:value-of select="'right'" />
				</xsl:when>
				<xsl:otherwise>
					<xsl:value-of select="'left'" />
				</xsl:otherwise>
			</xsl:choose>
		</xsl:variable>	
		<td class="komorka">
			<xsl:attribute name="rowspan">
				<xsl:value-of select="@scal-pionowo" />
			</xsl:attribute>
			<xsl:attribute name="colspan">
				<xsl:value-of select="@scal-poziomo" />
			</xsl:attribute>
			<xsl:if test="@wyrownanie-w-poziomie"></xsl:if>
			<xsl:attribute name="align">
				<xsl:value-of select="$wyrownanieWPoziomie" />
			</xsl:attribute>
			<xsl:attribute name="valign">
				<xsl:value-of select="$wyrownanieWPionie" />
			</xsl:attribute>
			
			<xsl:apply-templates />
		</td>
	</xsl:template>

	<!-- FUNKCJE -->
	<xsl:template name="podaj_rok">
		<xsl:param name="format_daty" />

		<xsl:value-of select="substring($format_daty,1,4)" />
		<xsl:value-of select="' r.'" />
	</xsl:template>

	<xsl:template name="daj_date">
		<xsl:param name="format_daty" />
		<xsl:choose>
			<xsl:when test="substring($format_daty,9,1)='0'">
				<xsl:value-of select="substring($format_daty,10,1)" />
			</xsl:when>
			<xsl:when test="substring($format_daty,9,1)!='0'">
				<xsl:value-of select="substring($format_daty,9,2)" />
			</xsl:when>
		</xsl:choose>

		<xsl:choose>
			<xsl:when test="substring($format_daty,6,2)='01'">
				<xsl:value-of select="' stycznia '" />
			</xsl:when>
			<xsl:when test="substring($format_daty,6,2)='02'">
				<xsl:value-of select="' lutego '" />
			</xsl:when>
			<xsl:when test="substring($format_daty,6,2)='03'">
				<xsl:value-of select="' marca '" />
			</xsl:when>
			<xsl:when test="substring($format_daty,6,2)='04'">
				<xsl:value-of select="' kwietnia '" />
			</xsl:when>
			<xsl:when test="substring($format_daty,6,2)='05'">
				<xsl:value-of select="' maja '" />
			</xsl:when>
			<xsl:when test="substring($format_daty,6,2)='06'">
				<xsl:value-of select="' czerwca '" />
			</xsl:when>
			<xsl:when test="substring($format_daty,6,2)='07'">
				<xsl:value-of select="' lipca '" />
			</xsl:when>
			<xsl:when test="substring($format_daty,6,2)='08'">
				<xsl:value-of select="' sierpnia '" />
			</xsl:when>
			<xsl:when test="substring($format_daty,6,2)='09'">
				<xsl:value-of select="' września '" />
			</xsl:when>
			<xsl:when test="substring($format_daty,6,2)='10'">
				<xsl:value-of select="' października '" />
			</xsl:when>
			<xsl:when test="substring($format_daty,6,2)='11'">
				<xsl:value-of select="' listopada '" />
			</xsl:when>
			<xsl:when test="substring($format_daty,6,2)='12'">
				<xsl:value-of select="' grudnia '" />
			</xsl:when>
		</xsl:choose>
		<xsl:value-of select="substring($format_daty,1,4)" />
		<xsl:value-of select="' r.'" />
	</xsl:template>

	<xsl:template name="zamien_string">
		<xsl:param name="text_src" />

		<xsl:choose>
			<xsl:when test="contains($text_src,'|')">
				<xsl:value-of select="substring-before($text_src,'|')" />
				<br />
				<xsl:call-template name="zamien_string">
					<xsl:with-param name="text_src"
						select="substring-after($text_src,'|')" />
				</xsl:call-template>
			</xsl:when>
			<xsl:otherwise>
				<xsl:value-of select="$text_src" />
			</xsl:otherwise>
		</xsl:choose>

		<!-- <xsl:value-of select="$text_src"/> -->
	</xsl:template>

	<!-- <xsl:function name="myfn:czy_numer" as="xs:boolean"> <xsl:param name="arg" 
		/> <xsl:sequence select="matches($arg, '\d+')" /> </xsl:function> -->

	<xsl:template match="text()">
		<xsl:call-template name="polam_tekst" />
	</xsl:template>

	<xsl:template name="polam_tekst">
		<xsl:param name="text_arg" select="." />
		<xsl:choose>
			<xsl:when test="contains($text_arg, '|')">
				<xsl:value-of select="substring-before($text_arg, '|')" />
				<br />
				<xsl:call-template name="polam_tekst">
					<xsl:with-param name="text_arg"
						select="substring-after($text_arg,'|')" />
				</xsl:call-template>
			</xsl:when>
			<xsl:otherwise>
				<xsl:value-of select="$text_arg" />
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>

</xsl:stylesheet>
